# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class AccountMove(models.Model):
    _inherit = 'account.move'

    def action_post(self):
        """
        Surcharge la fonciton parente pour attribuer automatiquement
        un numéro d'adhérent
        """
        if self.partner_id.membership_number == 0:
            membership_lines = self.line_ids.filtered(
                lambda line: line.move_id.move_type == 'out_invoice' and line.product_id.membership)
            if membership_lines:
                self.partner_id.write({
                    'membership_number': self.env['ir.sequence'].sudo().next_by_code('afac.membership.number')
                })
        res = super(AccountMove, self).action_post()
        return res
